Package kiyut.sketsa.options

## Class CodeColoringOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.CodeColoringOptions

- All Implemented Interfaces:
    `Options`

      public class CodeColoringOptions
      extends AbstractOptions

  Implementation of Code Coloring Options
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SYNTAX_FONT_MAP_PROPERTY` |
    `static String` | `SYNTAX_FONT_PROPERTY` |
    `static String` | `SYNTAX_FOREGROUND_MAP_PROPERTY` |
    `static String` | `SYNTAX_FOREGROUND_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CodeColoringOptions()` | Creates a new instance of Preferences

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CodeColoringOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `Font` | `getSyntaxFont​(String syntaxName)` |
    `Map<String,​Font>` | `getSyntaxFontMap()` |
    `Color` | `getSyntaxForeground​(String syntaxName)` |
    `Map<String,​Color>` | `getSyntaxForegroundMap()` |
    `protected void` | `retrieve()` |
    `void` | `setSyntaxFont​(String syntaxName, Font font)` |
    `void` | `setSyntaxFontMap​(Map<String,​Font> syntaxFontMap)` |
    `void` | `setSyntaxForeground​(String syntaxName, Color color)` |
    `void` | `setSyntaxForegroundMap​(Map<String,​Color> syntaxForegroundMap)` |
    `protected void` | `store()` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNTAX_FONT_MAP_PROPERTY

          public static final String SYNTAX_FONT_MAP_PROPERTY

      See Also:
        Constant Field Values

    - #### SYNTAX_FOREGROUND_MAP_PROPERTY

          public static final String SYNTAX_FOREGROUND_MAP_PROPERTY

      See Also:
        Constant Field Values

    - #### SYNTAX_FONT_PROPERTY

          public static final String SYNTAX_FONT_PROPERTY

      See Also:
        Constant Field Values

    - #### SYNTAX_FOREGROUND_PROPERTY

          public static final String SYNTAX_FOREGROUND_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeColoringOptions

          protected CodeColoringOptions()

      Creates a new instance of Preferences

  - ### Method Detail

    - #### getInstance

          public static CodeColoringOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        The single instance.

    - #### getSyntaxForeground

          public Color getSyntaxForeground​(String syntaxName)

    - #### setSyntaxForeground

          public void setSyntaxForeground​(String syntaxName,
                                          Color color)

    - #### getSyntaxFont

          public Font getSyntaxFont​(String syntaxName)

    - #### setSyntaxFont

          public void setSyntaxFont​(String syntaxName,
                                    Font font)

    - #### getSyntaxFontMap

          public Map<String,​Font> getSyntaxFontMap()

    - #### setSyntaxFontMap

          public void setSyntaxFontMap​(Map<String,​Font> syntaxFontMap)

    - #### getSyntaxForegroundMap

          public Map<String,​Color> getSyntaxForegroundMap()

    - #### setSyntaxForegroundMap

          public void setSyntaxForegroundMap​(Map<String,​Color> syntaxForegroundMap)

    - #### store

          protected void store()

    - #### retrieve

          protected void retrieve()